#version 130

uniform sampler2D tex;
uniform float hl_factor;
uniform vec3 hl_color;

void main()
{
	vec4 tex_color = texture2D(tex, gl_TexCoord[0].xy);
	vec4 hl_color_a = tex_color + vec4(hl_color, 1) * tex_color.a * hl_factor;

	float fog = (gl_Fog.end - gl_FogFragCoord) * gl_Fog.scale;
	fog = clamp(fog, 0.0, 1.0);
	vec4 fog_color = vec4(gl_Fog.color.rgb, tex_color.a);

	gl_FragColor = mix(fog_color, hl_color_a, fog);
}
