#version 130

uniform sampler2D tex;

void main()
{
	float fog = (gl_Fog.end - gl_FogFragCoord) * gl_Fog.scale;
	fog = clamp(fog, 0.0, 1.0);

	vec4 tex_color = vec4(texture2D(tex, gl_TexCoord[0].xy).rgb, gl_Color.a);
	vec4 fog_color = vec4(gl_Fog.color.rgb, gl_Color.a);

	gl_FragColor = mix(fog_color, tex_color, fog);
}

